Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Static Public Attributes | Static Private Attributes | List of all members
wowf.models.lookup_tables.Group Class Reference
Inheritance diagram for wowf.models.lookup_tables.Group:
Collaboration diagram for wowf.models.lookup_tables.Group:

## Static Public Attributes
tuple | lookup_data = ('login', 'admin')
tuple | users
Static Public Attributes inherited from wowf.models.lookup_tables.Lookup
tuple | lookup_data = ()
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | name = Column(Unicode(40), nullable=False, index=True)
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'groups'

## Additional Inherited Members
Public Member Functions inherited from wowf.models.lookup_tables.Lookup
def | __init__
def | __unicode__
def | create
def | populate
def | get_by_name
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | __unicode__
def | get_by_id
def | create
def | delete
Public Attributes inherited from wowf.models.lookup_tables.Lookup
| name

## Detailed Description

Definition at line 67 of file lookup_tables.py.

## Member Data Documentation

string wowf.models.lookup_tables.Group.__tablename__ = 'groups'
| static private

Definition at line 69 of file lookup_tables.py.

tuple wowf.models.lookup_tables.Group.lookup_data = ('login', 'admin')
| static

Definition at line 70 of file lookup_tables.py.

tuple wowf.models.lookup_tables.Group.users
| static

Initial value:
relationship(
'User', backref=backref('groups', lazy='dynamic'),
secondary='users_groups', lazy='dynamic')

Definition at line 72 of file lookup_tables.py.

The documentation for this class was generated from the following file:

- wowf/models/lookup_tables.py